% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/automatic_COTAN_object_creation.R
\name{automatic.COTAN.object.creation}
\alias{automatic.COTAN.object.creation}
\alias{automatic.COTAN.object.creation,data.frame-method}
\title{automatic.COTAN.object.creation}
\usage{
automatic.COTAN.object.creation(
  df,
  out_dir,
  GEO,
  sc.method,
  cond,
  mt = FALSE,
  mt_prefix = "^mt",
  cores = 1
)

\S4method{automatic.COTAN.object.creation}{data.frame}(
  df,
  out_dir,
  GEO,
  sc.method,
  cond,
  mt = FALSE,
  mt_prefix = "^mt",
  cores = 1
)
}
\arguments{
\item{df}{dataframe with the row counts}

\item{out_dir}{directory for the output}

\item{GEO}{GEO or other code that identify the dataset}

\item{sc.method}{Type of single cell RNA-seq method used}

\item{cond}{A string that will identify the sample or condition. It will be part of the
final file name.}

\item{mt}{A boolean (default F). If T mitochondrial  genes will be kept in the analysis,
otherwise they will be removed.}

\item{mt_prefix}{is the prefix that identify the mitochondrial  genes (default is the mouse
prefix: "^mt")}

\item{cores}{number of cores to be used}
}
\value{
It return the COTAN object. It will also store it directly in the output directory
}
\description{
automatic.COTAN.object.creation
}
\examples{

data("raw.dataset")
obj <- automatic.COTAN.object.creation(df= raw.dataset,
out_dir =  tempdir(),
GEO = "test_GEO",
sc.method = "test_method",
cond = "test")

}
