% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/COTAN_main.R
\name{drop.genes.cells}
\alias{drop.genes.cells}
\alias{drop.genes.cells,scCOTAN-method}
\title{drop.genes.cells}
\usage{
drop.genes.cells(object, genes = c(), cells = c())

\S4method{drop.genes.cells}{scCOTAN}(object, genes = c(), cells = c())
}
\arguments{
\item{object}{a COTAN object}

\item{genes}{an array of gene names}

\item{cells}{an array of cell names}
}
\value{
the original object but with the raw matrix without the indicated cells and/or genes.
}
\description{
This finction remove an array of genes and/or cells from the original object raw matrix.
}
\examples{
data("ERCC.cotan")
genes.to.rem = names(get.genes(ERCC.cotan)[1:10])
cells.to.rem = names(get.cell.size(ERCC.cotan)[1:10])
ERCC.cotan = drop.genes.cells(ERCC.cotan,genes.to.rem,cells.to.rem )
}
