% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/COTAN_main.R
\name{get.expected.ct}
\alias{get.expected.ct}
\alias{get.expected.ct,scCOTAN-method}
\title{get.expected.ct}
\usage{
get.expected.ct(object, g1, g2)

\S4method{get.expected.ct}{scCOTAN}(object, g1, g2)
}
\arguments{
\item{object}{The cotan object}

\item{g1}{A gene}

\item{g2}{The other gene}
}
\value{
A contingency table as dataframe
}
\description{
This function is used to get the expected contingency table for a given pair of genes.
}
\examples{
data("ERCC.cotan")
g1 <- get.genes(ERCC.cotan)[sample(length(get.genes(ERCC.cotan)), 1)]
g2 <- get.genes(ERCC.cotan)[sample(length(get.genes(ERCC.cotan)), 1)]
while (g1 \%in\% get.constitutive.genes(ERCC.cotan)) {
g1 <- get.genes(ERCC.cotan)[sample(length(get.genes(ERCC.cotan)), 1)]
}

while (g2 \%in\% get.constitutive.genes(ERCC.cotan)) {
   g2 <- get.genes(ERCC.cotan)[sample(length(get.genes(ERCC.cotan)), 1)]
}
get.expected.ct(object = ERCC.cotan, g1 = g1, g2 = g2)
}
