% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/COTAN_main.R
\name{plot_heatmap}
\alias{plot_heatmap}
\alias{plot_heatmap,ANY-method}
\title{plot_heatmap}
\usage{
plot_heatmap(p_val.tr = 0.05, df_genes, sets, conditions, dir)

\S4method{plot_heatmap}{ANY}(p_val.tr = 0.05, df_genes, sets, conditions, dir)
}
\arguments{
\item{p_val.tr}{p-value threshold. Default is 0.05}

\item{df_genes}{this is a list of gene array. The first array will define genes in the columns.}

\item{sets}{This is a numeric array indicating from which fields of the previous list
will be considered}

\item{conditions}{An array of prefixes indicating the different files.}

\item{dir}{The directory in which are all COTAN files (corresponding to the previous prefixes)}
}
\value{
a ggplot object
}
\description{
This is the function that create the heatmap of one or more COTAN object.
}
\examples{
data("ERCC.cotan")
data_dir <- tempdir()
saveRDS(ERCC.cotan, file = file.path(data_dir,"ERCC.cotan.RDS"))
# some genes
primary.markers <- c("ERCC-00154","ERCC-00156","ERCC-00164")
#a example of named list of different gene set
gene.sets.list <- list("primary.markers"=primary.markers,
                   "2.R" = c("ERCC-00170","ERCC-00158"),
                   "3.S"=c("ERCC-00160","ERCC-00162"))
plot_heatmap(p_v = 0.05, df_genes =gene.sets.list ,
sets =c(2,3) ,conditions =c("ERCC") ,dir = paste0(data_dir,"/"))

}
